	SUBROUTINE ECHO(ITRANS)
	LOGICAL*1 IMSG(16)
	DATA IMSG/'E','x','i','t',' ','E','C','H','O',' ','m','o',
     C		  'd','e',"15,"12/
	IF((ITRANS.AND.4).NE.0) GOTO 10
	ITRANS=ITRANS + 4
	J=6
	GOTO 14
 10	ITRANS=(ITRANS.AND."177773)
	J=1
C
 14	DO 15 I=J,16
	ICHAR=IMSG(I)
 15	CALL ENQUE(ICHAR)
	RETURN
	END
